VM_PAGE_FLAG(9)

NAME
vm_page_flag_clear, vm_page_flag_set - change page flags

SYNOPSIS
#include <sys/param.h>
#include <vm/vm.h>
#include <vm/vm_page.h>
void
vm_page_flag_clear(vm_page_t m, unsigned short bits);
void
vm_page_flag_set(vm_page_t m, unsigned short bits);

DESCRIPTION
The vm_page_flag_clear() atomically clears the specified bits on the page's flags.

The vm_page_flag_set() atomically sets the specified bits on the page's flags.

The functions arguments are:

m   The page whose flags are updated.

bits
    The bits that are set or cleared on the page's flags.

AUTHORS
This manual page was written by Chad David <davidc@acns.ab.ca>.